## ros-galactic-lua-vendor 0.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(lua_vendor)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)

macro(build_lua)
  set(cmake_commands)
  set(cmake_configure_args -Wno-dev;-DCMAKE_INSTALL_PREFIX=${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}_install)
  include(ExternalProject)
  set(lua_source_path ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}_install/src/lua-ext)
  set(lua_cmake_file_path ${lua_source_path}/CMakeLists.txt)
  externalproject_add(lua-ext
    PREFIX            ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}_install
    INSTALL_DIR       ${CMAKE_INSTALL_PREFIX}
    URL               http://www.lua.org/ftp/lua-5.3.2.tar.gz
    URL_HASH          SHA1=7a47adef554fdca7d0c5536148de34579134a973
    PATCH_COMMAND
      COMMAND echo cmake_minimum_required( VERSION 3.2 ) > ${lua_cmake_file_path}
      COMMAND echo file( GLOB_RECURSE lua_sources src/*.c ) >> ${lua_cmake_file_path}
      COMMAND echo list( REMOVE_ITEM lua_sources $\{CMAKE_CURRENT_SOURCE_DIR}/src/lua.c $\{CMAKE_CURRENT_SOURCE_DIR}/src/luac.c ) >> ${lua_cmake_file_path}
      COMMAND echo project( lua_vendor ) >> ${lua_cmake_file_path}
      COMMAND echo add_library( lua_vendor SHARED $\{lua_sources} ) >> ${lua_cmake_file_path}
      COMMAND echo install( TARGETS lua_vendor DESTINATION lib ) >> ${lua_cmake_file_path}
      COMMAND echo install( DIRECTORY src/ DESTINATION include FILES_MATCHING PATTERN "lua*.h*" ) >> ${lua_cmake_file_path}
      COMMAND echo install( DIRECTORY src/ DESTINATION include FILES_MATCHING PATTERN "lauxlib.h" ) >> ${lua_cmake_file_path}
    CMAKE_ARGS
      ${cmake_configure_args}
  )
  install(
    DIRECTORY
      ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}_install/
    DESTINATION
      ${CMAKE_INSTALL_PREFIX}
  )
endmacro()

build_lua()
ament_export_include_directories(include)
ament_export_libraries(lua_vendor)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-galactic-lua-vendor (0.0.2-1focal) focal; urgency=high

  * Setup workflow (#18 <https://github.com/OUXT-Polaris/lua_vendor/issues/18>)
  * Setup workflow (#17 <https://github.com/OUXT-Polaris/lua_vendor/issues/17>)
  * Setup workflow (#16 <https://github.com/OUXT-Polaris/lua_vendor/issues/16>)
  * Setup workflow (#15 <https://github.com/OUXT-Polaris/lua_vendor/issues/15>)
  * Setup workflow (#14 <https://github.com/OUXT-Polaris/lua_vendor/issues/14>)
  * Setup workflow (#13 <https://github.com/OUXT-Polaris/lua_vendor/issues/13>)
  * Setup workflow (#12 <https://github.com/OUXT-Polaris/lua_vendor/issues/12>)
  * Setup workflow (#11 <https://github.com/OUXT-Polaris/lua_vendor/issues/11>)
  * Setup workflow (#10 <https://github.com/OUXT-Polaris/lua_vendor/issues/10>)
  * Setup build test workflow (#9 <https://github.com/OUXT-Polaris/lua_vendor/issues/9>)
  * Setup build test workflow (#8 <https://github.com/OUXT-Polaris/lua_vendor/issues/8>)
  * Setup build test workflow (#7 <https://github.com/OUXT-Polaris/lua_vendor/issues/7>)
  * [Bot] Update workflow (#6 <https://github.com/OUXT-Polaris/lua_vendor/issues/6>)
    * Setup build test workflow
    * enable build with ouxt_common_lint
    * remvoe old CI
    * enable pass ament-lint-cmake
    * split line
    * does not split line
    Co-authored-by: Masaya Kataoka <mailto:ms.kataoka@gmail.com>
  * Merge branch 'main' of mailto:git@github.com:OUXT-Polaris/lua_vendor.git
  * Fix library type
  * Merge pull request #4 <https://github.com/OUXT-Polaris/lua_vendor/issues/4> from OUXT-Polaris/workflow/scenario_test
    [Bot] Update workflow
  * Setup scenario test workflow
  * Merge pull request #3 <https://github.com/OUXT-Polaris/lua_vendor/issues/3> from OUXT-Polaris/workflow/galactic
    update CI workflow for galactic
  * update .github/workflows/ROS2-Galactic.yaml
  * Merge pull request #1 <https://github.com/OUXT-Polaris/lua_vendor/issues/1> from OUXT-Polaris/workflow/foxy
    update CI workflow for foxy
  * Merge branch 'main' of https://github.com/OUXT-Polaris/lua_vendor into workflow/foxy
  * update .github/workflows/ROS2-Foxy.yaml
  * update dependency.repos
  * Contributors: Kotaro Yoshimoto, Masaya Kataoka, robotx_buildfarm, wam-v-tan

 -- Kotaro Yoshimoto <pythagora.yoshimoto@gmail.com>  Sat, 13 Nov 2021 15:00:00 -0000

ros-galactic-lua-vendor (0.0.1-1focal) focal; urgency=high

  * Merge branch 'main' of https://github.com/OUXT-Polaris/lua_vendor into workflow/foxy
  * Merge pull request #2 <https://github.com/OUXT-Polaris/lua_vendor/issues/2> from OUXT-Polaris/workflow/dashing
    update CI workflow for dashing
  * update CMakeLists.txt
  * add CONTRIBUTING.md
  * update .github/workflows/ROS2-Dashing.yaml
  * update dependency.repos
  * update .github/workflows/ROS2-Foxy.yaml
  * update dependency.repos
  * Fix CmakeLists.txt
  * Add package.xml
  * Initial commit
  * Contributors: HansRobo, Kotaro Yoshimoto, Masaya Kataoka, robotx_buildfarm

 -- Kotaro Yoshimoto <pythagora.yoshimoto@gmail.com>  Fri, 02 Jul 2021 15:00:00 -0000

=== debian/control ===
Source: ros-galactic-lua-vendor
Section: misc
Priority: optional
Maintainer: Kotaro Yoshimoto <pythagora.yoshimoto@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-lint-auto, ros-galactic-ouxt-lint-common, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-lua-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-ros-workspace
Description: TODO: Package description

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-lua-vendor//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
